libname PISA18 "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\PISA2018";
libname PISA09 "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\PISA2009";
options notes nofmterr;
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\macro\brr_macro.sas";
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\SASmacro10pv\effect_size_npv.sas";
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\SASmacro10pv\proc_corr_npv.sas";
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\SASmacro10pv\proc_dif_npv.sas";
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\SASmacro10pv\proc_freq_npv.sas";
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\SASmacro10pv\proc_logistic_npv.sas";
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\SASmacro10pv\proc_means_npv.sas";
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\SASmacro10pv\proc_reg_npv.sas";
run;
%include "C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\SASmacro10pv\quartile_npv_new.sas";
run;

/*			----PRPARATION----
	Cration du fichier de donnes complet*/

data data_temp1a;
	set	pisa18.student2018;
	if region=5602;
run;

data data_temp1b;
	set pisa18.school2018;
	if region=5602;
run;

proc sort data=data_temp1a;
	by cntryid cntschid;
run;

proc sort data=data_temp1b;
	by cntryid cntschid;
run;

data data_temp1;
	merge	data_temp1a
			data_temp1b;
	by cntryid cntschid;
	if (missing(screadcomp)=1) then screadcomp=.;
	if (missing(joyread)=1) then joyread=.;
	if (missing(undrem)=1) then undrem=.;
	if (missing(metasum)=1) then metasum=.;
	if (missing(metaspam)=1) then metaspam=.;
	if (missing(entuse)=1) then entuse=.;
	if (missing(homesch)=1) then homesch=.;
	if (missing(usesch)=1) then usesch=.;
	if (st004d01t=1) then GENRE=1;
	else if (st004d01t=2) then GENRE=0;
	else if (missing (st004d01t)=1) then GENRE=.;
	if (missing(escs)=1) then escs=.;
	if (missing(ic008q01ta)=1) then ic008q01ta=.;
	if (missing(ic008q02ta)=1) then ic008q02ta=.;
	if (missing(ic008q03ta)=1) then ic008q03ta=.;
	if (missing(ic008q04ta)=1) then ic008q04ta=.;
	if (missing(ic008q05ta)=1) then ic008q05ta=.;
	if (missing(ic008q07na)=1) then ic008q07na=.;
	if (missing(ic008q08ta)=1) then ic008q08ta=.;
	if (missing(ic008q09ta)=1) then ic008q09ta=.;
	if (missing(ic008q10ta)=1) then ic008q10ta=.;
	if (missing(ic008q11ta)=1) then ic008q11ta=.;
	if (missing(ic008q12ta)=1) then ic008q12ta=.;
	if (missing(ic008q13na)=1) then ic008q13na=.;
	if (missing(ic010q01ta)=1) then ic010q01ta=.;
	if (missing(ic010q02na)=1) then ic010q02na=.;
	if (missing(ic010q03ta)=1) then ic010q03ta =.;
	if (missing(ic010q04ta)=1) then ic010q04ta=.;
	if (missing(ic010q06na)=1) then ic010q06na=.;
	if (missing(ic010q07ta)=1) then ic010q07ta =.;
	if (missing(ic010q08ta)=1) then ic010q08ta=.;
	if (missing(ic010q09na)=1) then ic010q09na=.;
	if (missing(ic010q10na)=1) then ic010q10na=.;
	if (missing(ic010q11ha)=1) then ic010q11ha=.;
	if (missing(ic010q12ha)=1) then ic010q12ha=.;
	if (missing(ic011q01ta)=1) then ic011q01ta=.;
	if (missing(ic011q02ta)=1) then ic011q02ta=.;
	if (missing(ic011q03ta)=1) then ic011q03ta=.;
	if (missing(ic011q04ta)=1) then ic011q04ta=.;
	if (missing(ic011q05ta)=1) then ic011q05ta=.;
	if (missing(ic011q06ta)=1) then ic011q06ta=.;
	if (missing(ic011q07ta)=1) then ic011q07ta=.;
	if (missing(ic011q08ta)=1) then ic011q08ta=.;
	if (missing(ic001q01ta)=1) then ic011q08ta=.;
	if (missing(ic001q02ta)=1) then ic011q08ta=.;
	if (missing(ic001q03ta)=1) then ic011q08ta=.;
	if (missing(ic001q07ta)=1) then ic011q08ta=.;
	rename	w_fstuwt=w_fsturwt0
			pv1rtml=multiple1 pv2rtml=multiple2 pv3rtml=multiple3 pv4rtml=multiple4 pv5rtml=multiple5
			pv6rtml=multiple6 pv7rtml=multiple7 pv8rtml=multiple8 pv9rtml=multiple9 pv10rtml=multiple10
			pv1rtsn=single1 pv2rtsn=single2 pv3rtsn=single3 pv4rtsn=single4 pv5rtsn=single5
			pv6rtsn=single6 pv7rtsn=single7 pv8rtsn=single8 pv9rtsn=single9 pv10rtsn=single10
			pv1read=read1 pv2read=read2 pv3read=read3 pv4read=read4 pv5read=read5
			pv6read=read6 pv7read=read7 pv8read=read8 pv9read=read9 pv10read=read10
			screadcomp=variable1 joyread=variable2 undrem=variable3 metasum=variable4 metaspam=variable5
			entuse=variable6 homesch=variable7 usesch=variable8 genre=variable9 escs=variable10;
run;

%macro data_temp1_repeat;
%do kk=1 %to 10;
%BRR_PROCMEAN(INFILE =data_temp1,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =cntschid,
                    VAR =variable&kk,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =data_prep&kk);
run;
%end;
%mend;
%data_temp1_repeat;
run;

%BRR_PROCMEAN(INFILE =data_temp1,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =cntschid,
                    VAR =multiple1,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =data_prep11);
run;

data data_fwb;
	merge	data_prep1 (drop=sestat rename=(stat=mean_variable1))
			data_prep2 (drop=sestat rename=(stat=mean_variable2))
			data_prep3 (drop=sestat rename=(stat=mean_variable3))
			data_prep4 (drop=sestat rename=(stat=mean_variable4))
			data_prep5 (drop=sestat rename=(stat=mean_variable5))
			data_prep6 (drop=sestat rename=(stat=mean_variable6))
			data_prep7 (drop=sestat rename=(stat=mean_variable7))
			data_prep8 (drop=sestat rename=(stat=mean_variable8))
			data_prep10 (drop=sestat rename=(stat=mean_variable10))
			data_prep11 (drop=sestat rename=(stat=mean_multiple1))
			data_temp1;
	by cntschid;
run;

data complete_fwb;
	set data_fwb;
	keep	w_fsturwt0-w_fsturwt80
			region cnt cntryid cntschid cntstuid oecd systeme
			single1-single10 multiple1-multiple10 read1-read10
			variable1-variable10
			mean_variable1 mean_variable2 mean_variable3 mean_variable4
			mean_variable5 mean_variable6 mean_variable7 mean_variable8
			mean_variable10 mean_read1 mean_single1 mean_multiple1
			st161q01ha st161q02ha st161q03ha
			st160q01ia st160q02ia st160q03ia st160q04ia st160q05ia
			ic008q01ta ic008q02ta ic008q03ta ic008q04ta ic008q05ta
			ic008q07na ic008q08ta ic008q09ta ic008q10ta ic008q11ta
			ic008q12ta ic008q13na
			ic010q01ta ic010q02na ic010q03ta ic010q04ta ic010q06na
			ic010q07ta ic010q08ta ic010q09na ic010q10na ic010q11ha
			ic010q12ha
			ic011q01ta ic011q02ta ic011q03ta ic011q04ta ic011q05ta
			ic011q06ta ic011q07ta ic011q08ta ic011q09ta ic011q10ha
			st150q04ha ic150q01ha ic151q01ha ic152q01ha
			st158q01ha st158q02ha st158q03ha st158q04ha st158q05ha
			st158q06ha st158q07ha
			ictclass ictoutside
			st005q01ta st006q01ta st006q02ta st006q03ta st006q04ta
			st007q01ta st008q01ta st008q02ta st008q03ta st008q04ta
			st011q01ta st011q02ta st011q03ta st011q04ta st011q05ta
			st011q06ta st011q07ta st011q08ta st011q09ta st011q10ta
			st011q11ta st011q12ta st011q16na st011d17ta st011d18ta
			st011d19ta
			st012q01ta st012q02ta st012q03ta st012q05na
			st012q06na st012q07na st012q08na st012q09na
			st013q01ta
			ic001q01ta ic001q02ta ic001q03ta ic001q07ta;
run;

proc mi data=complete_fwb nimpute=1 seed=1
		round=		1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 . . . . . . . . 1 .
		minimum=	1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 . . . . . . . . 0 .
		maximum=	5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 3 3 3 3 . . . . . . . . 1 .
		minmaxiter=1000000 out=complete_fwb_temp noprint;
		var ic008q01ta ic008q02ta ic008q03ta ic008q04ta ic008q05ta
			ic008q07na ic008q08ta ic008q09ta ic008q10ta ic008q11ta
			ic008q12ta ic008q13na
			ic010q01ta ic010q02na ic010q03ta ic010q04ta ic010q06na
			ic010q07ta ic010q08ta ic010q09na ic010q10na ic010q11ha
			ic010q12ha
			ic011q01ta ic011q02ta ic011q03ta ic011q04ta ic011q05ta
			ic011q06ta ic011q07ta ic011q08ta ic011q09ta ic011q10ha
			ic001q01ta ic001q02ta ic001q03ta ic001q07ta
			variable1 variable2 variable3 variable4 variable5
			variable6 variable7 variable8 variable9 variable10
			mean_variable1 mean_variable2 mean_variable3 mean_variable4 mean_variable5
			mean_variable6 mean_variable7 mean_variable8 mean_variable10
			mean_multiple1 multiple1;
run;

/*                            ---- RETROUVER LE FICHIER ----*/

data complete_fwb;
	set pisa18.complete_fwb;
run;

/* 									---- TABLEAU A.7 ----
- Moyenne de chaque indice des lves de la FW-B
- Effet de chaque indice sur la performance en comprhension de l'crit numrique chez les lves de la FW-B
- Part de variance de la performance en lecture numrique explique par chaque variable*/

%macro tableau_a7_prep_repeat1;
%do kk=1 %to 10;
%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable&kk,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a7_temp&kk);
run;
%end;
%mend;
%tableau_a7_prep_repeat1;
run;

%macro tableau_a7_prep_repeat2;
%do kk=1 %to 10;
data tableau_a7_out&kk.a tableau_a7_out&kk.b tableau_a7_out&kk.c;
	set tableau_a7_temp&kk;
	if (class="Intercept") then output tableau_a7_out&kk.a;
	if (class="variable&kk") then output tableau_a7_out&kk.b;
	if (class="_RSQ_") then output tableau_a7_out&kk.c;
run;
%end;
%mend;
%tableau_a7_prep_repeat2;
run;

%macro tableau_a7_prep_repeat3;
%do kk=1 %to 10;
%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region,
                    VAR =variable&kk,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a7_temp&kk.a);
run;
%end;
%mend;
%tableau_a7_prep_repeat3;
run;

%macro tableau_a7_prep_repeat4;
%do kk=1 %to 10;
%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region,
                    VAR =variable&kk,
                    STAT =std,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a7_temp&kk.b);
run;
%end;
%mend;
%tableau_a7_prep_repeat4;
run;

data tableau_a7_prep1;
	variable="a-SCREADCOMP";
	merge	tableau_a7_temp1a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp1b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out1a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out1b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out1c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep2;
	variable="b-JOYREAD";
	merge	tableau_a7_temp2a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp2b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out2a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out2b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out2c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep3;
	variable="c-UNDREM";
	merge	tableau_a7_temp3a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp3b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out3a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out3b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out3c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep4;
	variable="d-METASUM";
	merge	tableau_a7_temp4a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp4b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out4a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out4b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out4c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep5;
	variable="e-METASPAM";
	merge	tableau_a7_temp5a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp5b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out5a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out5b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out5c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep6;
	variable="f-ENTUSE";
	merge	tableau_a7_temp6a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp6b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out6a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out6b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out6c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep7;
	variable="g-HOMESCH";
	merge	tableau_a7_temp7a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp7b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out7a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out7b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out7c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep8;
	variable="h-USESCH";
	merge	tableau_a7_temp8a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp8b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out8a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out8b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out8c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep9;
	variable="i-GENRE";
	merge	tableau_a7_out9a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out9b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out9c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7_prep10;
	variable="j-ESCS";
	merge	tableau_a7_temp10a (rename=(stat=mean sestat=se_mean))
			tableau_a7_temp10b (rename=(stat=sd sestat=se_sd))
			tableau_a7_out10a (drop=class rename=(stat=b sestat=se_b))
			tableau_a7_out10b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a7_out10c (drop=class rename=(stat=R2 sestat=se_R2));
	by region;
run;

data tableau_a7;
	merge	tableau_a7_prep1 tableau_a7_prep2 tableau_a7_prep3 tableau_a7_prep4 tableau_a7_prep5
			tableau_a7_prep6 tableau_a7_prep7 tableau_a7_prep8 tableau_a7_prep9 tableau_a7_prep10;
	by region variable;
	drop region;
run;
 
proc export data=tableau_a7 outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a7.xlsx" dbms=xlsx replace;
run;


/* 									---- TABLEAU A.8 ----
- Moyenne de la performance en comphension de l'crit des lves de la FW-B
- Moyenne de la performance en comphension de l'crit traditionnel des lves de la FW-B
- Moyenne de la performance en comphension de l'crit numrique des lves de la FW-B*/

%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region,
                    VAR =read1,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =table2_temp1);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region,
                    VAR =single1,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =table2_temp2);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region,
                    VAR =multiple1,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =table2_temp3);
run;

data table2_prep1;
	variable="a-Read";
	set table2_temp1;
run;

data table2_prep2;
	variable="b-Single";
	set table2_temp2;
run;

data table2_prep3;
	variable="c-Multiple";
	set table2_temp3;
run;

data table2;
	merge	table2_prep1 (rename=(stat=mean sestat=se_mean))
			table2_prep2 (rename=(stat=mean sestat=se_mean))
			table2_prep3 (rename=(stat=mean sestat=se_mean));
	by region variable;
	drop region;
run;
 
proc export data=table2 outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Table2.xlsx" dbms=xlsx replace;
run;

/* 									---- TABLEAU A.9 ----
- Performance moyenne en comprhension de l'crit numrique en fonction des quartiles des indices ENTUSE, HOMESCH et USESCH*/

%macro tableau_a9_repeat1;
%do kk=6 %to 8;
%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =cntryid,
                    VAR =variable&kk,
                    STAT =Q1,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a9_temp&kk.a);
run;
%end;
%mend;
%tableau_a9_repeat1;
run;

%macro tableau_a9_repeat2;
%do kk=6 %to 8;
%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =cntryid,
                    VAR =variable&kk,
                    STAT =median,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a9_temp&kk.b);
run;
%end;
%mend;
%tableau_a9_repeat2;
run;

%macro tableau_a9_repeat3;
%do kk=6 %to 8;
%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =cntryid,
                    VAR =variable&kk,
                    STAT =Q3,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a9_temp&kk.c);
run;
%end;
%mend;
%tableau_a9_repeat3;
run;

data tableau_a9_data;
	merge	tableau_a9_temp6a (rename=(stat=Q1_var6 sestat=se_Q1_var6))
			tableau_a9_temp6b (rename=(stat=Q2_var6 sestat=se_Q2_var6))
			tableau_a9_temp6c (rename=(stat=Q3_var6 sestat=se_Q3_var6))
			tableau_a9_temp7a (rename=(stat=Q1_var7 sestat=se_Q1_var7))
			tableau_a9_temp7b (rename=(stat=Q2_var7 sestat=se_Q2_var7))
			tableau_a9_temp7c (rename=(stat=Q3_var7 sestat=se_Q3_var7))
			tableau_a9_temp8a (rename=(stat=Q1_var8 sestat=se_Q1_var8))
			tableau_a9_temp8b (rename=(stat=Q2_var8 sestat=se_Q2_var8))
			tableau_a9_temp8c (rename=(stat=Q3_var8 sestat=se_Q3_var8))
			complete_fwb;
	by cntryid;
run;

data tableau_a9_temp4;
	set tableau_a9_data;
	if (variable6 < Q1_var6) then quartile_var6=1;
	if (variable6 < Q2_var6 and variable6 >= Q1_var6) then quartile_var6=2;
	if (variable6 < Q3_var6 and variable6 >= Q2_var6) then quartile_var6=3;
	if (variable6 >= Q3_var6) then quartile_var6=4;
	if (variable6 in (., .M, .N, .I)) then quartile_var6=.;
	if (variable7 < Q1_var7) then quartile_var7=1;
	if (variable7 < Q2_var7 and variable7 >= Q1_var7) then quartile_var7=2;
	if (variable7 < Q3_var7 and variable7 >= Q2_var7) then quartile_var7=3;
	if (variable7 >= Q3_var7) then quartile_var7=4;
	if (variable7 in (., .M, .N, .I)) then quartile_var7=.;
	if (variable8 < -1.71) then quartile_var8=1;
	if (variable8 < Q2_var8 and variable8 >= -1.71) then quartile_var8=2;
	if (variable8 < Q3_var8 and variable8 >= Q2_var8) then quartile_var8=3;
	if (variable8 >= Q3_var8) then quartile_var8=4;
	if (variable8 in (., .M, .N, .I)) then quartile_var8=.;
run;

%macro tableau_a9_repeat4;
%do kk=6 %to 8;
%BRR_PROCMEAN(INFILE =tableau_a9_temp4,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid quartile_var&kk,
					VAR=multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a9_temp&kk.d);
run;
%end;
%mend;
%tableau_a9_repeat4;
run;

%macro tableau_a9_repeat5;
%do kk=6 %to 8;
data tableau_a9_out&kk.a tableau_a9_out&kk.b tableau_a9_out&kk.c tableau_a9_out&kk.d;
	set tableau_a9_temp&kk.d;
	if (quartile_var&kk=1) then output tableau_a9_out&kk.a;
	if (quartile_var&kk=2) then output tableau_a9_out&kk.b;
	if (quartile_var&kk=3) then output tableau_a9_out&kk.c;
	if (quartile_var&kk=4) then output tableau_a9_out&kk.d;
run;
%end;
%mend;
%tableau_a9_repeat5;
run;

data tableau_a9_prep6;
	variable="a-ENTUSE";
	merge	tableau_a9_out6a (drop=quartile_var6 rename=(stat=Q1 sestat=se_Q1))
			tableau_a9_out6b (drop=quartile_var6 rename=(stat=Q2 sestat=se_Q2))
			tableau_a9_out6c (drop=quartile_var6 rename=(stat=Q3 sestat=se_Q3))
			tableau_a9_out6d (drop=quartile_var6 rename=(stat=Q4 sestat=se_Q4));
	by cntryid;
run;

data tableau_a9_prep7;
	variable="b-HOMESCH";
	merge	tableau_a9_out7a (drop=quartile_var7 rename=(stat=Q1 sestat=se_Q1))
			tableau_a9_out7b (drop=quartile_var7 rename=(stat=Q2 sestat=se_Q2))
			tableau_a9_out7c (drop=quartile_var7 rename=(stat=Q3 sestat=se_Q3))
			tableau_a9_out7d (drop=quartile_var7 rename=(stat=Q4 sestat=se_Q4));
	by cntryid;
run;

data tableau_a9_prep8;
	variable="c-USESCH";
	merge	tableau_a9_out8a (drop=quartile_var8 rename=(stat=Q1 sestat=se_Q1))
			tableau_a9_out8b (drop=quartile_var8 rename=(stat=Q2 sestat=se_Q2))
			tableau_a9_out8c (drop=quartile_var8 rename=(stat=Q3 sestat=se_Q3))
			tableau_a9_out8d (drop=quartile_var8 rename=(stat=Q4 sestat=se_Q4));
	by cntryid;
run;

data tableau_a9;
	merge tableau_a9_prep6 tableau_a9_prep7 tableau_a9_prep8;
	by region variable;
	drop region:
run;
 
proc export data=tableau_a9 outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a9.xlsx" dbms=xlsx replace;
run;

/* 									---- TABLEAU A.10 ----
- Performance moyenne en comprhension de l'crit numrique en fonction des rponses donnes aux items
qui constituent l'indice ENTUSE*/

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q01ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1a);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q02ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1b);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q03ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1c);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q04ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1d);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q05ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1e);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q07na,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1f);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q08ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1g);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q09ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1h);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q10ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1i);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q11ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1j);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q12ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1k);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic008q13na,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a10_temp1l);
run;

data outa_1 outa_2 outa_3 outa_4 outa_5;
	set tableau_a10_temp1a;
	if (ic008q01ta=1) then output outa_1;
	if (ic008q01ta=2) then output outa_2;
	if (ic008q01ta=3) then output outa_3;
	if (ic008q01ta=4) then output outa_4;
	if (ic008q01ta=5) then output outa_5;
run;

data outa;
	merge	outa_1 (rename=(stat=mean_1 sestat=se_1))
			outa_2 (drop=ic008q01ta rename=(stat=mean_2 sestat=se_2))
			outa_3 (drop=ic008q01ta rename=(stat=mean_3 sestat=se_3))
			outa_4 (drop=ic008q01ta rename=(stat=mean_4 sestat=se_4))
			outa_5 (drop=ic008q01ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q01ta=1) then item="ic008q01ta";
	drop ic008q01ta;
run;

data outb_1 outb_2 outb_3 outb_4 outb_5;
	set tableau_a10_temp1b;
	if (ic008q02ta=1) then output outb_1;
	if (ic008q02ta=2) then output outb_2;
	if (ic008q02ta=3) then output outb_3;
	if (ic008q02ta=4) then output outb_4;
	if (ic008q02ta=5) then output outb_5;
run;

data outb;
	merge	outb_1 (rename=(stat=mean_1 sestat=se_1))
			outb_2 (drop=ic008q02ta rename=(stat=mean_2 sestat=se_2))
			outb_3 (drop=ic008q02ta rename=(stat=mean_3 sestat=se_3))
			outb_4 (drop=ic008q02ta rename=(stat=mean_4 sestat=se_4))
			outb_5 (drop=ic008q02ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q02ta=1) then item="ic008q02ta";
	drop ic008q02ta;
run;

data outc_1 outc_2 outc_3 outc_4 outc_5;
	set tableau_a10_temp1c;
	if (ic008q03ta =1) then output outc_1;
	if (ic008q03ta =2) then output outc_2;
	if (ic008q03ta =3) then output outc_3;
	if (ic008q03ta =4) then output outc_4;
	if (ic008q03ta =5) then output outc_5;
run;

data outc;
	merge	outc_1 (rename=(stat=mean_1 sestat=se_1))
			outc_2 (drop=ic008q03ta  rename=(stat=mean_2 sestat=se_2))
			outc_3 (drop=ic008q03ta  rename=(stat=mean_3 sestat=se_3))
			outc_4 (drop=ic008q03ta  rename=(stat=mean_4 sestat=se_4))
			outc_5 (drop=ic008q03ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q03ta=1) then item="ic008q03ta ";
	drop ic008q03ta ;
run;

data outd_1 outd_2 outd_3 outd_4 outd_5;
	set tableau_a10_temp1d;
	if (ic008q04ta =1) then output outd_1;
	if (ic008q04ta =2) then output outd_2;
	if (ic008q04ta =3) then output outd_3;
	if (ic008q04ta =4) then output outd_4;
	if (ic008q04ta =5) then output outd_5;
run;

data outd;
	merge	outd_1 (rename=(stat=mean_1 sestat=se_1))
			outd_2 (drop=ic008q04ta  rename=(stat=mean_2 sestat=se_2))
			outd_3 (drop=ic008q04ta  rename=(stat=mean_3 sestat=se_3))
			outd_4 (drop=ic008q04ta  rename=(stat=mean_4 sestat=se_4))
			outd_5 (drop=ic008q04ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q04ta=1) then item="ic008q04ta ";
	drop ic008q04ta ;
run;

data oute_1 oute_2 oute_3 oute_4 oute_5;
	set tableau_a10_temp1e;
	if (ic008q05ta =1) then output oute_1;
	if (ic008q05ta =2) then output oute_2;
	if (ic008q05ta =3) then output oute_3;
	if (ic008q05ta =4) then output oute_4;
	if (ic008q05ta =5) then output oute_5;
run;

data oute;
	merge	oute_1 (rename=(stat=mean_1 sestat=se_1))
			oute_2 (drop=ic008q05ta  rename=(stat=mean_2 sestat=se_2))
			oute_3 (drop=ic008q05ta  rename=(stat=mean_3 sestat=se_3))
			oute_4 (drop=ic008q05ta  rename=(stat=mean_4 sestat=se_4))
			oute_5 (drop=ic008q05ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q05ta=1) then item="ic008q05ta ";
	drop ic008q05ta ;
run;

data outf_1 outf_2 outf_3 outf_4 outf_5;
	set tableau_a10_temp1f;
	if (ic008q07na =1) then output outf_1;
	if (ic008q07na =2) then output outf_2;
	if (ic008q07na =3) then output outf_3;
	if (ic008q07na =4) then output outf_4;
	if (ic008q07na =5) then output outf_5;
run;

data outf;
	merge	outf_1 (rename=(stat=mean_1 sestat=se_1))
			outf_2 (drop=ic008q07na  rename=(stat=mean_2 sestat=se_2))
			outf_3 (drop=ic008q07na  rename=(stat=mean_3 sestat=se_3))
			outf_4 (drop=ic008q07na  rename=(stat=mean_4 sestat=se_4))
			outf_5 (drop=ic008q07na  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q07na=1) then item="ic008q07na ";
	drop ic008q07na ;
run;

data outg_1 outg_2 outg_3 outg_4 outg_5;
	set tableau_a10_temp1g;
	if (ic008q08ta=1) then output outg_1;
	if (ic008q08ta=2) then output outg_2;
	if (ic008q08ta=3) then output outg_3;
	if (ic008q08ta=4) then output outg_4;
	if (ic008q08ta=5) then output outg_5;
run;

data outg;
	merge	outg_1 (rename=(stat=mean_1 sestat=se_1))
			outg_2 (drop=ic008q08ta rename=(stat=mean_2 sestat=se_2))
			outg_3 (drop=ic008q08ta rename=(stat=mean_3 sestat=se_3))
			outg_4 (drop=ic008q08ta rename=(stat=mean_4 sestat=se_4))
			outg_5 (drop=ic008q08ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q08ta=1) then item="ic008q08ta";
	drop ic008q08ta;
run;

data outh_1 outh_2 outh_3 outh_4 outh_5;
	set tableau_a10_temp1h;
	if (ic008q09ta=1) then output outh_1;
	if (ic008q09ta=2) then output outh_2;
	if (ic008q09ta=3) then output outh_3;
	if (ic008q09ta=4) then output outh_4;
	if (ic008q09ta=5) then output outh_5;
run;

data outh;
	merge	outh_1 (rename=(stat=mean_1 sestat=se_1))
			outh_2 (drop=ic008q09ta rename=(stat=mean_2 sestat=se_2))
			outh_3 (drop=ic008q09ta rename=(stat=mean_3 sestat=se_3))
			outh_4 (drop=ic008q09ta rename=(stat=mean_4 sestat=se_4))
			outh_5 (drop=ic008q09ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q09ta=1) then item="ic008q09ta";
	drop ic008q09ta;
run;

data outi_1 outi_2 outi_3 outi_4 outi_5;
	set tableau_a10_temp1i;
	if (ic008q10ta=1) then output outi_1;
	if (ic008q10ta=2) then output outi_2;
	if (ic008q10ta=3) then output outi_3;
	if (ic008q10ta=4) then output outi_4;
	if (ic008q10ta=5) then output outi_5;
run;

data outi;
	merge	outi_1 (rename=(stat=mean_1 sestat=se_1))
			outi_2 (drop=ic008q10ta rename=(stat=mean_2 sestat=se_2))
			outi_3 (drop=ic008q10ta rename=(stat=mean_3 sestat=se_3))
			outi_4 (drop=ic008q10ta rename=(stat=mean_4 sestat=se_4))
			outi_5 (drop=ic008q10ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q10ta=1) then item="ic008q10ta";
	drop ic008q10ta;
run;

data outj_1 outj_2 outj_3 outj_4 outj_5;
	set tableau_a10_temp1j;
	if (ic008q11ta=1) then output outj_1;
	if (ic008q11ta=2) then output outj_2;
	if (ic008q11ta=3) then output outj_3;
	if (ic008q11ta=4) then output outj_4;
	if (ic008q11ta=5) then output outj_5;
run;

data outj;
	merge	outj_1 (rename=(stat=mean_1 sestat=se_1))
			outj_2 (drop=ic008q11ta rename=(stat=mean_2 sestat=se_2))
			outj_3 (drop=ic008q11ta rename=(stat=mean_3 sestat=se_3))
			outj_4 (drop=ic008q11ta rename=(stat=mean_4 sestat=se_4))
			outj_5 (drop=ic008q11ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q11ta=1) then item="ic008q11ta";
	drop ic008q11ta;
run;

data outk_1 outk_2 outk_3 outk_4 outk_5;
	set tableau_a10_temp1k;
	if (ic008q12ta=1) then output outk_1;
	if (ic008q12ta=2) then output outk_2;
	if (ic008q12ta=3) then output outk_3;
	if (ic008q12ta=4) then output outk_4;
	if (ic008q12ta=5) then output outk_5;
run;

data outk;
	merge	outk_1 (rename=(stat=mean_1 sestat=se_1))
			outk_2 (drop=ic008q12ta rename=(stat=mean_2 sestat=se_2))
			outk_3 (drop=ic008q12ta rename=(stat=mean_3 sestat=se_3))
			outk_4 (drop=ic008q12ta rename=(stat=mean_4 sestat=se_4))
			outk_5 (drop=ic008q12ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q12ta=1) then item="ic008q12ta";
	drop ic008q12ta;
run;

data outl_1 outl_2 outl_3 outl_4 outl_5;
	set tableau_a10_temp1l;
	if (ic008q13na=1) then output outl_1;
	if (ic008q13na=2) then output outl_2;
	if (ic008q13na=3) then output outl_3;
	if (ic008q13na=4) then output outl_4;
	if (ic008q13na=5) then output outl_5;
run;

data outl;
	merge	outl_1 (rename=(stat=mean_1 sestat=se_1))
			outl_2 (drop=ic008q13na rename=(stat=mean_2 sestat=se_2))
			outl_3 (drop=ic008q13na rename=(stat=mean_3 sestat=se_3))
			outl_4 (drop=ic008q13na rename=(stat=mean_4 sestat=se_4))
			outl_5 (drop=ic008q13na rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic008q13na=1) then item="ic008q13na";
	drop ic008q13na;
run;

data tableau_a10_table;
	merge	outa outb outc outd oute outf
			outg outh outi outj outk outl;
	by region item;
	drop region;
run;

proc export data=tableau_a10_table outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a10.xlsx" dbms=xlsx replace;
run;

/* 									---- TABLEAU A.11 ----
- Performance moyenne en comprhension de l'crit numrique en fonction des rponses donnes aux items
qui constituent l'indice HOMESCH*/

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q01ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1a);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q02na,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1b);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q03ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1c);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q04ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1d);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q06na,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1e);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q07ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1f);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q08ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1g);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q09na,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1h);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q10na,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1i);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q11ha,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1j);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic010q12ha,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a11_temp1k);
run;

data tableau_a11_outa_1 tableau_a11_outa_2 tableau_a11_outa_3 tableau_a11_outa_4 tableau_a11_outa_5;
	set tableau_a11_temp1a;
	if (ic010q01ta=1) then output tableau_a11_outa_1;
	if (ic010q01ta=2) then output tableau_a11_outa_2;
	if (ic010q01ta=3) then output tableau_a11_outa_3;
	if (ic010q01ta=4) then output tableau_a11_outa_4;
	if (ic010q01ta=5) then output tableau_a11_outa_5;
run;

data tableau_a11_outa;
	merge	tableau_a11_outa_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outa_2 (drop=ic010q01ta rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outa_3 (drop=ic010q01ta rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outa_4 (drop=ic010q01ta rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outa_5 (drop=ic010q01ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q01ta=1) then item="ic010q01ta";
	drop ic010q01ta;
run;

data tableau_a11_outb_1 tableau_a11_outb_2 tableau_a11_outb_3 tableau_a11_outb_4 tableau_a11_outb_5;
	set tableau_a11_temp1b;
	if (ic010q02na=1) then output tableau_a11_outb_1;
	if (ic010q02na=2) then output tableau_a11_outb_2;
	if (ic010q02na=3) then output tableau_a11_outb_3;
	if (ic010q02na=4) then output tableau_a11_outb_4;
	if (ic010q02na=5) then output tableau_a11_outb_5;
run;

data tableau_a11_outb;
	merge	tableau_a11_outb_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outb_2 (drop=ic010q02na rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outb_3 (drop=ic010q02na rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outb_4 (drop=ic010q02na rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outb_5 (drop=ic010q02na rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q02na=1) then item="ic010q02na";
	drop ic010q02na;
run;

data tableau_a11_outc_1 tableau_a11_outc_2 tableau_a11_outc_3 tableau_a11_outc_4 tableau_a11_outc_5;
	set tableau_a11_temp1c;
	if (ic010q03ta =1) then output tableau_a11_outc_1;
	if (ic010q03ta =2) then output tableau_a11_outc_2;
	if (ic010q03ta =3) then output tableau_a11_outc_3;
	if (ic010q03ta =4) then output tableau_a11_outc_4;
	if (ic010q03ta =5) then output tableau_a11_outc_5;
run;

data tableau_a11_outc;
	merge	tableau_a11_outc_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outc_2 (drop=ic010q03ta  rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outc_3 (drop=ic010q03ta  rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outc_4 (drop=ic010q03ta  rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outc_5 (drop=ic010q03ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q03ta=1) then item="ic010q03ta ";
	drop ic010q03ta ;
run;

data tableau_a11_outd_1 tableau_a11_outd_2 tableau_a11_outd_3 tableau_a11_outd_4 tableau_a11_outd_5;
	set tableau_a11_temp1d;
	if (ic010q04ta =1) then output tableau_a11_outd_1;
	if (ic010q04ta =2) then output tableau_a11_outd_2;
	if (ic010q04ta =3) then output tableau_a11_outd_3;
	if (ic010q04ta =4) then output tableau_a11_outd_4;
	if (ic010q04ta =5) then output tableau_a11_outd_5;
run;

data tableau_a11_outd;
	merge	tableau_a11_outd_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outd_2 (drop=ic010q04ta  rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outd_3 (drop=ic010q04ta  rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outd_4 (drop=ic010q04ta  rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outd_5 (drop=ic010q04ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q04ta=1) then item="ic010q04ta ";
	drop ic010q04ta ;
run;

data tableau_a11_oute_1 tableau_a11_oute_2 tableau_a11_oute_3 tableau_a11_oute_4 tableau_a11_oute_5;
	set tableau_a11_temp1e;
	if (ic010q06na =1) then output tableau_a11_oute_1;
	if (ic010q06na =2) then output tableau_a11_oute_2;
	if (ic010q06na =3) then output tableau_a11_oute_3;
	if (ic010q06na =4) then output tableau_a11_oute_4;
	if (ic010q06na =5) then output tableau_a11_oute_5;
run;

data tableau_a11_oute;
	merge	tableau_a11_oute_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_oute_2 (drop=ic010q06na  rename=(stat=mean_2 sestat=se_2))
			tableau_a11_oute_3 (drop=ic010q06na  rename=(stat=mean_3 sestat=se_3))
			tableau_a11_oute_4 (drop=ic010q06na  rename=(stat=mean_4 sestat=se_4))
			tableau_a11_oute_5 (drop=ic010q06na  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q06na=1) then item="ic010q06na ";
	drop ic010q06na ;
run;

data tableau_a11_outf_1 tableau_a11_outf_2 tableau_a11_outf_3 tableau_a11_outf_4 tableau_a11_outf_5;
	set tableau_a11_temp1f;
	if (ic010q07ta=1) then output tableau_a11_outf_1;
	if (ic010q07ta=2) then output tableau_a11_outf_2;
	if (ic010q07ta=3) then output tableau_a11_outf_3;
	if (ic010q07ta=4) then output tableau_a11_outf_4;
	if (ic010q07ta=5) then output tableau_a11_outf_5;
run;

data tableau_a11_outf;
	merge	tableau_a11_outf_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outf_2 (drop=ic010q07ta rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outf_3 (drop=ic010q07ta rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outf_4 (drop=ic010q07ta rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outf_5 (drop=ic010q07ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q07ta=1) then item="ic010q07ta";
	drop ic010q07ta;
run;

data tableau_a11_outg_1 tableau_a11_outg_2 tableau_a11_outg_3 tableau_a11_outg_4 tableau_a11_outg_5;
	set tableau_a11_temp1g;
	if (ic010q08ta=1) then output tableau_a11_outg_1;
	if (ic010q08ta=2) then output tableau_a11_outg_2;
	if (ic010q08ta=3) then output tableau_a11_outg_3;
	if (ic010q08ta=4) then output tableau_a11_outg_4;
	if (ic010q08ta=5) then output tableau_a11_outg_5;
run;

data tableau_a11_outg;
	merge	tableau_a11_outg_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outg_2 (drop=ic010q08ta rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outg_3 (drop=ic010q08ta rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outg_4 (drop=ic010q08ta rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outg_5 (drop=ic010q08ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q08ta=1) then item="ic010q08ta";
	drop ic010q08ta;
run;

data tableau_a11_outh_1 tableau_a11_outh_2 tableau_a11_outh_3 tableau_a11_outh_4 tableau_a11_outh_5;
	set tableau_a11_temp1h;
	if (ic010q09na=1) then output tableau_a11_outh_1;
	if (ic010q09na=2) then output tableau_a11_outh_2;
	if (ic010q09na=3) then output tableau_a11_outh_3;
	if (ic010q09na=4) then output tableau_a11_outh_4;
	if (ic010q09na=5) then output tableau_a11_outh_5;
run;

data tableau_a11_outh;
	merge	tableau_a11_outh_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outh_2 (drop=ic010q09na rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outh_3 (drop=ic010q09na rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outh_4 (drop=ic010q09na rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outh_5 (drop=ic010q09na rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q09na=1) then item="ic010q09na";
	drop ic010q09na;
run;

data tableau_a11_outi_1 tableau_a11_outi_2 tableau_a11_outi_3 tableau_a11_outi_4 tableau_a11_outi_5;
	set tableau_a11_temp1i;
	if (ic010q10na=1) then output tableau_a11_outi_1;
	if (ic010q10na=2) then output tableau_a11_outi_2;
	if (ic010q10na=3) then output tableau_a11_outi_3;
	if (ic010q10na=4) then output tableau_a11_outi_4;
	if (ic010q10na=5) then output tableau_a11_outi_5;
run;

data tableau_a11_outi;
	merge	tableau_a11_outi_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outi_2 (drop=ic010q10na rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outi_3 (drop=ic010q10na rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outi_4 (drop=ic010q10na rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outi_5 (drop=ic010q10na rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q10na=1) then item="ic010q10na";
	drop ic010q10na;
run;

data tableau_a11_outj_1 tableau_a11_outj_2 tableau_a11_outj_3 tableau_a11_outj_4 tableau_a11_outj_5;
	set tableau_a11_temp1j;
	if (ic010q11ha=1) then output tableau_a11_outj_1;
	if (ic010q11ha=2) then output tableau_a11_outj_2;
	if (ic010q11ha=3) then output tableau_a11_outj_3;
	if (ic010q11ha=4) then output tableau_a11_outj_4;
	if (ic010q11ha=5) then output tableau_a11_outj_5;
run;

data tableau_a11_outj;
	merge	tableau_a11_outj_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outj_2 (drop=ic010q11ha rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outj_3 (drop=ic010q11ha rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outj_4 (drop=ic010q11ha rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outj_5 (drop=ic010q11ha rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q11ha=1) then item="ic010q11ha";
	drop ic010q11ha;
run;

data tableau_a11_outk_1 tableau_a11_outk_2 tableau_a11_outk_3 tableau_a11_outk_4 tableau_a11_outk_5;
	set tableau_a11_temp1k;
	if (ic010q12ha=1) then output tableau_a11_outk_1;
	if (ic010q12ha=2) then output tableau_a11_outk_2;
	if (ic010q12ha=3) then output tableau_a11_outk_3;
	if (ic010q12ha=4) then output tableau_a11_outk_4;
	if (ic010q12ha=5) then output tableau_a11_outk_5;
run;

data tableau_a11_outk;
	merge	tableau_a11_outk_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a11_outk_2 (drop=ic010q12ha rename=(stat=mean_2 sestat=se_2))
			tableau_a11_outk_3 (drop=ic010q12ha rename=(stat=mean_3 sestat=se_3))
			tableau_a11_outk_4 (drop=ic010q12ha rename=(stat=mean_4 sestat=se_4))
			tableau_a11_outk_5 (drop=ic010q12ha rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic010q12ha=1) then item="ic010q12ha";
	drop ic010q12ha;
run;

data tableau_a11_table;
	merge	tableau_a11_outa tableau_a11_outb tableau_a11_outc tableau_a11_outd tableau_a11_oute tableau_a11_outf
			tableau_a11_outg tableau_a11_outh tableau_a11_outi tableau_a11_outj tableau_a11_outk;
	by region item;
	drop region;
run;

proc export data=tableau_a11_table outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a11.xlsx" dbms=xlsx replace;
run;

/* 									---- TABLEAU A.12 ----
- Performance moyenne en comprhension de l'crit numrique en fonction des rponses donnes aux items
qui constituent l'indice USESCH*/

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q01ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1a);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q02ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1b);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q03ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1c);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q04ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1d);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q05ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1e);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q06ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1f);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q07ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1g);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q08ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1h);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q09ta,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1i);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
					REPLI_ROOT =w_fsturwt,
					BYVAR =cntryid ic011q10ha,
					VAR =multiple1,
					STAT =mean,
					LIMIT=no,
					LIMIT_CRITERIA=,
					ID_SCHOOL=cntschid,
					OUTFILE =tableau_a12_temp1j);
run;

data tableau_a12_outa_1 tableau_a12_outa_2 tableau_a12_outa_3 tableau_a12_outa_4 tableau_a12_outa_5;
	set tableau_a12_temp1a;
	if (ic011q01ta=1) then output tableau_a12_outa_1;
	if (ic011q01ta=2) then output tableau_a12_outa_2;
	if (ic011q01ta=3) then output tableau_a12_outa_3;
	if (ic011q01ta=4) then output tableau_a12_outa_4;
	if (ic011q01ta=5) then output tableau_a12_outa_5;
run;

data tableau_a12_outa;
	merge	tableau_a12_outa_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outa_2 (drop=ic011q01ta rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outa_3 (drop=ic011q01ta rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outa_4 (drop=ic011q01ta rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outa_5 (drop=ic011q01ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q01ta=1) then item="ic011q01ta";
	drop ic011q01ta;
run;

data tableau_a12_outb_1 tableau_a12_outb_2 tableau_a12_outb_3 tableau_a12_outb_4 tableau_a12_outb_5;
	set tableau_a12_temp1b;
	if (ic011q02ta=1) then output tableau_a12_outb_1;
	if (ic011q02ta=2) then output tableau_a12_outb_2;
	if (ic011q02ta=3) then output tableau_a12_outb_3;
	if (ic011q02ta=4) then output tableau_a12_outb_4;
	if (ic011q02ta=5) then output tableau_a12_outb_5;
run;

data tableau_a12_outb;
	merge	tableau_a12_outb_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outb_2 (drop=ic011q02ta rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outb_3 (drop=ic011q02ta rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outb_4 (drop=ic011q02ta rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outb_5 (drop=ic011q02ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q02ta=1) then item="ic011q02ta";
	drop ic011q02ta;
run;

data tableau_a12_outc_1 tableau_a12_outc_2 tableau_a12_outc_3 tableau_a12_outc_4 tableau_a12_outc_5;
	set tableau_a12_temp1c;
	if (ic011q03ta =1) then output tableau_a12_outc_1;
	if (ic011q03ta =2) then output tableau_a12_outc_2;
	if (ic011q03ta =3) then output tableau_a12_outc_3;
	if (ic011q03ta =4) then output tableau_a12_outc_4;
	if (ic011q03ta =5) then output tableau_a12_outc_5;
run;

data tableau_a12_outc;
	merge	tableau_a12_outc_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outc_2 (drop=ic011q03ta  rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outc_3 (drop=ic011q03ta  rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outc_4 (drop=ic011q03ta  rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outc_5 (drop=ic011q03ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q03ta=1) then item="ic011q03ta ";
	drop ic011q03ta ;
run;

data tableau_a12_outd_1 tableau_a12_outd_2 tableau_a12_outd_3 tableau_a12_outd_4 tableau_a12_outd_5;
	set tableau_a12_temp1d;
	if (ic011q04ta =1) then output tableau_a12_outd_1;
	if (ic011q04ta =2) then output tableau_a12_outd_2;
	if (ic011q04ta =3) then output tableau_a12_outd_3;
	if (ic011q04ta =4) then output tableau_a12_outd_4;
	if (ic011q04ta =5) then output tableau_a12_outd_5;
run;

data tableau_a12_outd;
	merge	tableau_a12_outd_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outd_2 (drop=ic011q04ta  rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outd_3 (drop=ic011q04ta  rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outd_4 (drop=ic011q04ta  rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outd_5 (drop=ic011q04ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q04ta=1) then item="ic011q04ta ";
	drop ic011q04ta ;
run;

data tableau_a12_oute_1 tableau_a12_oute_2 tableau_a12_oute_3 tableau_a12_oute_4 tableau_a12_oute_5;
	set tableau_a12_temp1e;
	if (ic011q05ta =1) then output tableau_a12_oute_1;
	if (ic011q05ta =2) then output tableau_a12_oute_2;
	if (ic011q05ta =3) then output tableau_a12_oute_3;
	if (ic011q05ta =4) then output tableau_a12_oute_4;
	if (ic011q05ta =5) then output tableau_a12_oute_5;
run;

data tableau_a12_oute;
	merge	tableau_a12_oute_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_oute_2 (drop=ic011q05ta  rename=(stat=mean_2 sestat=se_2))
			tableau_a12_oute_3 (drop=ic011q05ta  rename=(stat=mean_3 sestat=se_3))
			tableau_a12_oute_4 (drop=ic011q05ta  rename=(stat=mean_4 sestat=se_4))
			tableau_a12_oute_5 (drop=ic011q05ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q05ta=1) then item="ic011q05ta ";
	drop ic011q05ta ;
run;

data tableau_a12_outf_1 tableau_a12_outf_2 tableau_a12_outf_3 tableau_a12_outf_4 tableau_a12_outf_5;
	set tableau_a12_temp1f;
	if (ic011q06ta =1) then output tableau_a12_outf_1;
	if (ic011q06ta =2) then output tableau_a12_outf_2;
	if (ic011q06ta =3) then output tableau_a12_outf_3;
	if (ic011q06ta =4) then output tableau_a12_outf_4;
	if (ic011q06ta =5) then output tableau_a12_outf_5;
run;

data tableau_a12_outf;
	merge	tableau_a12_outf_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outf_2 (drop=ic011q06ta  rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outf_3 (drop=ic011q06ta  rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outf_4 (drop=ic011q06ta  rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outf_5 (drop=ic011q06ta  rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q06ta=1) then item="ic011q06ta ";
	drop ic011q06ta ;
run;

data tableau_a12_outg_1 tableau_a12_outg_2 tableau_a12_outg_3 tableau_a12_outg_4 tableau_a12_outg_5;
	set tableau_a12_temp1g;
	if (ic011q07ta=1) then output tableau_a12_outg_1;
	if (ic011q07ta=2) then output tableau_a12_outg_2;
	if (ic011q07ta=3) then output tableau_a12_outg_3;
	if (ic011q07ta=4) then output tableau_a12_outg_4;
	if (ic011q07ta=5) then output tableau_a12_outg_5;
run;

data tableau_a12_outg;
	merge	tableau_a12_outg_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outg_2 (drop=ic011q07ta rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outg_3 (drop=ic011q07ta rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outg_4 (drop=ic011q07ta rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outg_5 (drop=ic011q07ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q07ta=1) then item="ic011q07ta";
	drop ic011q07ta;
run;

data tableau_a12_outh_1 tableau_a12_outh_2 tableau_a12_outh_3 tableau_a12_outh_4 tableau_a12_outh_5;
	set tableau_a12_temp1h;
	if (ic011q08ta=1) then output tableau_a12_outh_1;
	if (ic011q08ta=2) then output tableau_a12_outh_2;
	if (ic011q08ta=3) then output tableau_a12_outh_3;
	if (ic011q08ta=4) then output tableau_a12_outh_4;
	if (ic011q08ta=5) then output tableau_a12_outh_5;
run;

data tableau_a12_outh;
	merge	tableau_a12_outh_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outh_2 (drop=ic011q08ta rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outh_3 (drop=ic011q08ta rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outh_4 (drop=ic011q08ta rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outh_5 (drop=ic011q08ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q08ta=1) then item="ic011q08ta";
	drop ic011q08ta;
run;

data tableau_a12_outi_1 tableau_a12_outi_2 tableau_a12_outi_3 tableau_a12_outi_4 tableau_a12_outi_5;
	set tableau_a12_temp1i;
	if (ic011q09ta=1) then output tableau_a12_outi_1;
	if (ic011q09ta=2) then output tableau_a12_outi_2;
	if (ic011q09ta=3) then output tableau_a12_outi_3;
	if (ic011q09ta=4) then output tableau_a12_outi_4;
	if (ic011q09ta=5) then output tableau_a12_outi_5;
run;

data tableau_a12_outi;
	merge	tableau_a12_outi_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outi_2 (drop=ic011q09ta rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outi_3 (drop=ic011q09ta rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outi_4 (drop=ic011q09ta rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outi_5 (drop=ic011q09ta rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q09ta=1) then item="ic011q09ta";
	drop ic011q09ta;
run;

data tableau_a12_outj_1 tableau_a12_outj_2 tableau_a12_outj_3 tableau_a12_outj_4 tableau_a12_outj_5;
	set tableau_a12_temp1j;
	if (ic011q10ha=1) then output tableau_a12_outj_1;
	if (ic011q10ha=2) then output tableau_a12_outj_2;
	if (ic011q10ha=3) then output tableau_a12_outj_3;
	if (ic011q10ha=4) then output tableau_a12_outj_4;
	if (ic011q10ha=5) then output tableau_a12_outj_5;
run;

data tableau_a12_outj;
	merge	tableau_a12_outj_1 (rename=(stat=mean_1 sestat=se_1))
			tableau_a12_outj_2 (drop=ic011q10ha rename=(stat=mean_2 sestat=se_2))
			tableau_a12_outj_3 (drop=ic011q10ha rename=(stat=mean_3 sestat=se_3))
			tableau_a12_outj_4 (drop=ic011q10ha rename=(stat=mean_4 sestat=se_4))
			tableau_a12_outj_5 (drop=ic011q10ha rename=(stat=mean_5 sestat=se_5)); 
	by cntryid;
	if (ic011q10ha=1) then item="ic011q10ha";
	drop ic011q10ha;
run;

data tableau_a12_table;
	merge	tableau_a12_outa tableau_a12_outb tableau_a12_outc tableau_a12_outd tableau_a12_oute
			tableau_a12_outf tableau_a12_outg tableau_a12_outh tableau_a12_outi tableau_a12_outj;
	by region item;
	drop region;
run;

proc export data=tableau_a12_table outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a12.xlsx" dbms=xlsx replace;
run;

/* 									---- TABLEAU A.13 ----
- Diffrence entre les filles et les garons pour les indices SCREADCOMP, JOYREAD, UNDREM, METASUM,
METASPAM, ENTUSE, HOMESCH et USESCH*/

%macro tableau_a13_prep_repeat1;
%do kk=1 %to 8;
%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=variable&kk,
				EXPLICA=variable9,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a13_temp&kk);
run;
%end;
%mend;
%tableau_a13_prep_repeat1;
run;

%macro tableau_a13_prep_repeat2;
%do kk=1 %to 8;
%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region variable9,
                    VAR =variable&kk,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a13_temp&kk.a);
run;
%end;
%mend;
%tableau_a13_prep_repeat2;
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=single1,
				EXPLICA=variable9,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a13_single);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =variable9,
                    VAR =single1,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a13_singlemean);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =variable9,
                    VAR =multiple1,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a13_multiplemean);
run;

data complete_fwb_boy complete_fwb_girl;
	set complete_fwb;
	if (variable9=0) then output complete_fwb_boy;
	if (variable9=1) then output complete_fwb_girl;
run;

%macro tableau_a13_prep_repeat3;
%do kk=1 %to 8;
%BRR_REG	(INFILE=complete_fwb_boy,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable&kk,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a13_temp&kk.b);
run;
%end;
%mend;
%tableau_a13_prep_repeat3;
run;

%macro tableau_a13_prep_repeat4;
%do kk=1 %to 8;
%BRR_REG	(INFILE=complete_fwb_girl,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable&kk,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a13_temp&kk.c);
run;
%end;
%mend;
%tableau_a13_prep_repeat4;
run;

data tableau_a13_out1;
	set tableau_a13_temp1;
	if class="variable9";
run;

data tableau_a13_out1a_1 tableau_a13_out1a_2;
	set tableau_a13_temp1a;
	if (variable9=0) then output tableau_a13_out1a_1;
	else if (variable9=1) then output tableau_a13_out1a_2;
run;

data tableau_a13_out1b;
	set tableau_a13_temp1b;
	if class="variable1";
run;

data tableau_a13_out1c;
	set tableau_a13_temp1c;
	if class="variable1";
run;

data tableau_a13_prep1;
	merge	tableau_a13_out1 (drop=class rename=(stat=diff_girl_boy sestat=se_diff_girl_boy))
			tableau_a13_out1a_1 (drop=variable9 rename=(stat=mean_boy sestat=se_mean_boy))
			tableau_a13_out1a_2 (drop=variable9 rename=(stat=mean_girl sestat=se_mean_girl))
			tableau_a13_out1b (drop=class rename=(stat=effet_boy sestat=se_effet_boy))
			tableau_a13_out1c (drop=class rename=(stat=effet_girl sestat=se_effet_girl));
	by region;
	variable="a-screadcomp";
run;

data tableau_a13_out2;
	set tableau_a13_temp2;
	if class="variable9";
run;

data tableau_a13_out2a_1 tableau_a13_out2a_2;
	set tableau_a13_temp2a;
	if (variable9=0) then output tableau_a13_out2a_1;
	else if (variable9=1) then output tableau_a13_out2a_2;
run;

data tableau_a13_out2b;
	set tableau_a13_temp2b;
	if class="variable2";
run;

data tableau_a13_out2c;
	set tableau_a13_temp2c;
	if class="variable2";
run;

data tableau_a13_prep2;
	merge	tableau_a13_out2 (drop=class rename=(stat=diff_girl_boy sestat=se_diff_girl_boy))
			tableau_a13_out2a_1 (drop=variable9 rename=(stat=mean_boy sestat=se_mean_boy))
			tableau_a13_out2a_2 (drop=variable9 rename=(stat=mean_girl sestat=se_mean_girl))
			tableau_a13_out2b (drop=class rename=(stat=effet_boy sestat=se_effet_boy))
			tableau_a13_out2c (drop=class rename=(stat=effet_girl sestat=se_effet_girl));
	by region;
	variable="b-joyread";
run;

data tableau_a13_out3;
	set tableau_a13_temp3;
	if class="variable9";
run;

data tableau_a13_out3a_1 tableau_a13_out3a_2;
	set tableau_a13_temp3a;
	if (variable9=0) then output tableau_a13_out3a_1;
	else if (variable9=1) then output tableau_a13_out3a_2;
run;

data tableau_a13_out3b;
	set tableau_a13_temp3b;
	if class="variable3";
run;

data tableau_a13_out3c;
	set tableau_a13_temp3c;
	if class="variable3";
run;

data tableau_a13_prep3;
	merge	tableau_a13_out3 (drop=class rename=(stat=diff_girl_boy sestat=se_diff_girl_boy))
			tableau_a13_out3a_1 (drop=variable9 rename=(stat=mean_boy sestat=se_mean_boy))
			tableau_a13_out3a_2 (drop=variable9 rename=(stat=mean_girl sestat=se_mean_girl))
			tableau_a13_out3b (drop=class rename=(stat=effet_boy sestat=se_effet_boy))
			tableau_a13_out3c (drop=class rename=(stat=effet_girl sestat=se_effet_girl));
	by region;
	variable="c-undrem";
run;

data tableau_a13_out4;
	set tableau_a13_temp4;
	if class="variable9";
run;

data tableau_a13_out4a_1 tableau_a13_out4a_2;
	set tableau_a13_temp4a;
	if (variable9=0) then output tableau_a13_out4a_1;
	else if (variable9=1) then output tableau_a13_out4a_2;
run;

data tableau_a13_out4b;
	set tableau_a13_temp4b;
	if class="variable4";
run;

data tableau_a13_out4c;
	set tableau_a13_temp4c;
	if class="variable4";
run;

data tableau_a13_prep4;
	merge	tableau_a13_out4 (drop=class rename=(stat=diff_girl_boy sestat=se_diff_girl_boy))
			tableau_a13_out4a_1 (drop=variable9 rename=(stat=mean_boy sestat=se_mean_boy))
			tableau_a13_out4a_2 (drop=variable9 rename=(stat=mean_girl sestat=se_mean_girl))
			tableau_a13_out4b (drop=class rename=(stat=effet_boy sestat=se_effet_boy))
			tableau_a13_out4c (drop=class rename=(stat=effet_girl sestat=se_effet_girl));
	by region;
	variable="d-metasum";
run;

data tableau_a13_out5;
	set tableau_a13_temp5;
	if class="variable9";
run;

data tableau_a13_out5a_1 tableau_a13_out5a_2;
	set tableau_a13_temp5a;
	if (variable9=0) then output tableau_a13_out5a_1;
	else if (variable9=1) then output tableau_a13_out5a_2;
run;

data tableau_a13_out5b;
	set tableau_a13_temp5b;
	if class="variable5";
run;

data tableau_a13_out5c;
	set tableau_a13_temp5c;
	if class="variable5";
run;

data tableau_a13_prep5;
	merge	tableau_a13_out5 (drop=class rename=(stat=diff_girl_boy sestat=se_diff_girl_boy))
			tableau_a13_out5a_1 (drop=variable9 rename=(stat=mean_boy sestat=se_mean_boy))
			tableau_a13_out5a_2 (drop=variable9 rename=(stat=mean_girl sestat=se_mean_girl))
			tableau_a13_out5b (drop=class rename=(stat=effet_boy sestat=se_effet_boy))
			tableau_a13_out5c (drop=class rename=(stat=effet_girl sestat=se_effet_girl));
	by region;
	variable="e-metaspam";
run;

data tableau_a13_out6;
	set tableau_a13_temp6;
	if class="variable9";
run;

data tableau_a13_out6a_1 tableau_a13_out6a_2;
	set tableau_a13_temp6a;
	if (variable9=0) then output tableau_a13_out6a_1;
	else if (variable9=1) then output tableau_a13_out6a_2;
run;

data tableau_a13_out6b;
	set tableau_a13_temp6b;
	if class="variable6";
run;

data tableau_a13_out6c;
	set tableau_a13_temp6c;
	if class="variable6";
run;

data tableau_a13_prep6;
	merge	tableau_a13_out6 (drop=class rename=(stat=diff_girl_boy sestat=se_diff_girl_boy))
			tableau_a13_out6a_1 (drop=variable9 rename=(stat=mean_boy sestat=se_mean_boy))
			tableau_a13_out6a_2 (drop=variable9 rename=(stat=mean_girl sestat=se_mean_girl))
			tableau_a13_out6b (drop=class rename=(stat=effet_boy sestat=se_effet_boy))
			tableau_a13_out6c (drop=class rename=(stat=effet_girl sestat=se_effet_girl));
	by region;
	variable="f-entuse";
run;

data tableau_a13_out7;
	set tableau_a13_temp7;
	if class="variable9";
run;

data tableau_a13_out7a_1 tableau_a13_out7a_2;
	set tableau_a13_temp7a;
	if (variable9=0) then output tableau_a13_out7a_1;
	else if (variable9=1) then output tableau_a13_out7a_2;
run;

data tableau_a13_out7b;
	set tableau_a13_temp7b;
	if class="variable7";
run;

data tableau_a13_out7c;
	set tableau_a13_temp7c;
	if class="variable7";
run;

data tableau_a13_prep7;
	merge	tableau_a13_out7 (drop=class rename=(stat=diff_girl_boy sestat=se_diff_girl_boy))
			tableau_a13_out7a_1 (drop=variable9 rename=(stat=mean_boy sestat=se_mean_boy))
			tableau_a13_out7a_2 (drop=variable9 rename=(stat=mean_girl sestat=se_mean_girl))
			tableau_a13_out7b (drop=class rename=(stat=effet_boy sestat=se_effet_boy))
			tableau_a13_out7c (drop=class rename=(stat=effet_girl sestat=se_effet_girl));
	by region;
	variable="g-homesch";
run;

data tableau_a13_out8;
	set tableau_a13_temp8;
	if class="variable9";
run;

data tableau_a13_out8a_1 tableau_a13_out8a_2;
	set tableau_a13_temp8a;
	if (variable9=0) then output tableau_a13_out8a_1;
	else if (variable9=1) then output tableau_a13_out8a_2;
run;

data tableau_a13_out8b;
	set tableau_a13_temp8b;
	if class="variable8";
run;

data tableau_a13_out8c;
	set tableau_a13_temp8c;
	if class="variable8";
run;

data tableau_a13_prep8;
	merge	tableau_a13_out8 (drop=class rename=(stat=diff_girl_boy sestat=se_diff_girl_boy))
			tableau_a13_out8a_1 (drop=variable9 rename=(stat=mean_boy sestat=se_mean_boy))
			tableau_a13_out8a_2 (drop=variable9 rename=(stat=mean_girl sestat=se_mean_girl))
			tableau_a13_out8b (drop=class rename=(stat=effet_boy sestat=se_effet_boy))
			tableau_a13_out8c (drop=class rename=(stat=effet_girl sestat=se_effet_girl));
	by region;
	variable="h-usesch";
run;

data tableau_a13;
	merge	tableau_a13_prep1 tableau_a13_prep2 tableau_a13_prep3 tableau_a13_prep4
			tableau_a13_prep5 tableau_a13_prep6 tableau_a13_prep7 tableau_a13_prep8;
	by region variable;
	drop region;
run;

proc export data=tableau_a13 outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a13.xlsx" dbms=xlsx replace;
run;

/* 									---- TABLEAU A.14 ----
- Diffrence de performance en comprhension de l'crit numrique entre les filles et les garons sous contrle des 
indices SCREADCOMP, JOYREAD, UNDREM, METASUM, METASPAM, ENTUSE, HOMESCH et USESCH*/

%macro tableau_a14_prep_repeat1;
%do kk=1 %to 8;
%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable&kk variable9,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a14_temp&kk);
run;
%end;
%mend;
%tableau_a14_prep_repeat1;
run;

%macro tableau_a14_prep_repeat2;
%do kk=1 %to 8;
data tableau_a14_out&kk.a tableau_a14_out&kk.b tableau_a14_out&kk.c tableau_a14_out&kk.d;
	set tableau_a14_temp&kk;
	if (class="Intercept") then output tableau_a14_out&kk.a;
	if (class="variable&kk") then output tableau_a14_out&kk.b;
	if (class="variable9") then output tableau_a14_out&kk.c;
	if (class="_RSQ_") then output tableau_a14_out&kk.d;
run;
%end;
%mend;
%tableau_a14_prep_repeat2;
run;

data tableau_a14_prep1;
	variable="a-screadcomp";
	merge	tableau_a14_out1a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a14_out1b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a14_out1c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a14_out1d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a14_prep2;
	variable="b-joyread";
	merge	tableau_a14_out2a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a14_out2b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a14_out2c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a14_out2d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a14_prep3;
	variable="c-undrem";
	merge	tableau_a14_out3a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a14_out3b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a14_out3c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a14_out3d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a14_prep4;
	variable="d-metasum";
	merge	tableau_a14_out4a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a14_out4b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a14_out4c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a14_out4d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a14_prep5;
	variable="e-metaspam";
	merge	tableau_a14_out5a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a14_out5b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a14_out5c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a14_out5d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a14_prep6;
	variable="f-entuse";
	merge	tableau_a14_out6a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a14_out6b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a14_out6c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a14_out6d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a14_prep7;
	variable="g-homesch";
	merge	tableau_a14_out7a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a14_out7b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a14_out7c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a14_out7d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a14_prep8;
	variable="h-usesch";
	merge	tableau_a14_out8a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a14_out8b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a14_out8c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a14_out8d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a14;
	merge	tableau_a14_prep1 tableau_a14_prep2 tableau_a14_prep3 tableau_a14_prep4
			tableau_a14_prep5 tableau_a14_prep6 tableau_a14_prep7 tableau_a14_prep8;
	by region variable;
run;

proc export data=tableau_a14 outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a14.xlsx" dbms=xlsx replace;
run;

/* INFO COMPLMENTAIRE AU TABLEAU A.14
- Mesure de l'effet d'interaction entre le genre et l'indice ENTUSE*/
data complete_fwb;
	set complete_fwb;
	inter_genre_v6=variable6*variable9;
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable6 variable9 inter_genre_v6,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a14_infosup);
run;
%end;

/* 									---- TABLEAU A.15 ----
- Diffrence de performance en lecture numrique entre le quartile infrieur et suprieur,
- Indice moyen des diffrentes variables en fonction des quartiles de lindice ESCS*/

%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region,
                    VAR =variable10,
                    STAT =Q1,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a15_q1);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region,
                    VAR =variable10,
                    STAT =median,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a15_q2);
run;

%BRR_PROCMEAN(INFILE =complete_fwb,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region,
                    VAR =variable10,
                    STAT =Q3,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a15_q3);
run;

data tableau_a15_quartiles_prep;
	merge	complete_fwb
			tableau_a15_q1 (rename=(stat=q1 sestat=se_q1))
			tableau_a15_q2 (rename=(stat=q2 sestat=se_q2))
			tableau_a15_q3 (rename=(stat=q3 sestat=se_q3));
	by region;
run;

data tableau_a15_quartiles;
	set tableau_a15_quartiles_prep;
	if (variable10<=q1) then quartile_variable10=1;
	if (variable10>q1 and variable10<=q2) then quartile_variable10=2;
	if (variable10>q2 and variable10<=q3) then quartile_variable10=3;
	if (variable10>q3) then quartile_variable10=4;
	drop q1 se_q1 q2 se_q2 q3 se_q3;
run;

%macro tableau_a15_prep_repeat1;
%do kk=1 %to 8;
%BRR_PROCMEAN_DIF(INFILE =tableau_a15_quartiles,
                        REPLI_ROOT =w_fsturwt,
                        BYVAR =region,
                        VAR =variable&kk,
                        COMPARE =quartile_variable10,
	                    CATEGORY =1 4,
                        STAT =mean,
                        OUTFILE =tableau_a15_temp&kk.a);
run;
%end;
%mend;
%tableau_a15_prep_repeat1;
run;

%macro tableau_a15_prep_repeat2;
%do kk=1 %to 8;
%BRR_PROCMEAN(INFILE =tableau_a15_quartiles,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region quartile_variable10,
                    VAR =variable&kk,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a15_temp&kk.b);
run;
%end;
%mend;
%tableau_a15_prep_repeat2;
run;

%BRR_PROCMEAN(INFILE =tableau_a15_quartiles,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region quartile_variable10,
                    VAR =multiple1,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a15_tempc);
run;

%BRR_PROCMEAN(INFILE =tableau_a15_quartiles,
                    REPLI_ROOT =w_fsturwt,
                    BYVAR =region quartile_variable10,
                    VAR =single1,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=cntschid,
                    OUTFILE =tableau_a15_tempd);
run;

%BRR_PROCMEAN_DIF(INFILE =tableau_a15_quartiles,
                        REPLI_ROOT =w_fsturwt,
                        BYVAR =region,
                        VAR =multiple1,
                        COMPARE =quartile_variable10,
	                    CATEGORY =1 4,
                        STAT =mean,
                        OUTFILE =tableau_a15_tempe);
run;

%BRR_PROCMEAN_DIF(INFILE =tableau_a15_quartiles,
                        REPLI_ROOT =w_fsturwt,
                        BYVAR =region,
                        VAR =single1,
                        COMPARE =quartile_variable10,
	                    CATEGORY =1 4,
                        STAT =mean,
                        OUTFILE =tableau_a15_tempf);
run;

data tableau_a15_out1a;
	set tableau_a15_temp1a;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_out1b_1 tableau_a15_out1b_2 tableau_a15_out1b_3 tableau_a15_out1b_4;
	set tableau_a15_temp1b;
	if quartile_variable10=1 then output tableau_a15_out1b_1;
	if quartile_variable10=2 then output tableau_a15_out1b_2;
	if quartile_variable10=3 then output tableau_a15_out1b_3;
	if quartile_variable10=4 then output tableau_a15_out1b_4;
run;

data tableau_a15_out1b;
	merge	tableau_a15_out1b_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_out1b_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_out1b_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_out1b_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4));
	by region;
run;

data tableau_a15_prep1;
	merge	tableau_a15_out1a tableau_a15_out1b;
	by region;
	variable="a-screadcomp";
run;

data tableau_a15_out2a;
	set tableau_a15_temp2a;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_out2b_1 tableau_a15_out2b_2 tableau_a15_out2b_3 tableau_a15_out2b_4;
	set tableau_a15_temp2b;
	if quartile_variable10=1 then output tableau_a15_out2b_1;
	if quartile_variable10=2 then output tableau_a15_out2b_2;
	if quartile_variable10=3 then output tableau_a15_out2b_3;
	if quartile_variable10=4 then output tableau_a15_out2b_4;
run;

data tableau_a15_out2b;
	merge	tableau_a15_out2b_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_out2b_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_out2b_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_out2b_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4));
	by region;
run;

data tableau_a15_prep2;
	merge	tableau_a15_out2a tableau_a15_out2b;
	by region;
	variable="b-joyread";
run;

data tableau_a15_out3a;
	set tableau_a15_temp3a;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_out3b_1 tableau_a15_out3b_2 tableau_a15_out3b_3 tableau_a15_out3b_4;
	set tableau_a15_temp3b;
	if quartile_variable10=1 then output tableau_a15_out3b_1;
	if quartile_variable10=2 then output tableau_a15_out3b_2;
	if quartile_variable10=3 then output tableau_a15_out3b_3;
	if quartile_variable10=4 then output tableau_a15_out3b_4;
run;

data tableau_a15_out3b;
	merge	tableau_a15_out3b_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_out3b_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_out3b_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_out3b_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4));
	by region;
run;

data tableau_a15_prep3;
	merge	tableau_a15_out3a tableau_a15_out3b;
	by region;
	variable="c-undrem";
run;

data tableau_a15_out4a;
	set tableau_a15_temp4a;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_out4b_1 tableau_a15_out4b_2 tableau_a15_out4b_3 tableau_a15_out4b_4;
	set tableau_a15_temp4b;
	if quartile_variable10=1 then output tableau_a15_out4b_1;
	if quartile_variable10=2 then output tableau_a15_out4b_2;
	if quartile_variable10=3 then output tableau_a15_out4b_3;
	if quartile_variable10=4 then output tableau_a15_out4b_4;
run;

data tableau_a15_out4b;
	merge	tableau_a15_out4b_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_out4b_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_out4b_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_out4b_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4));
	by region;
run;

data tableau_a15_prep4;
	merge	tableau_a15_out4a tableau_a15_out4b;
	by region;
	variable="d-metasum";
run;

data tableau_a15_out5a;
	set tableau_a15_temp5a;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_out5b_1 tableau_a15_out5b_2 tableau_a15_out5b_3 tableau_a15_out5b_4;
	set tableau_a15_temp5b;
	if quartile_variable10=1 then output tableau_a15_out5b_1;
	if quartile_variable10=2 then output tableau_a15_out5b_2;
	if quartile_variable10=3 then output tableau_a15_out5b_3;
	if quartile_variable10=4 then output tableau_a15_out5b_4;
run;

data tableau_a15_out5b;
	merge	tableau_a15_out5b_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_out5b_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_out5b_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_out5b_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4));
	by region;
run;

data tableau_a15_prep5;
	merge	tableau_a15_out5a tableau_a15_out5b;
	by region;
	variable="e-metaspam";
run;

data tableau_a15_out6a;
	set tableau_a15_temp6a;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_out6b_1 tableau_a15_out6b_2 tableau_a15_out6b_3 tableau_a15_out6b_4;
	set tableau_a15_temp6b;
	if quartile_variable10=1 then output tableau_a15_out6b_1;
	if quartile_variable10=2 then output tableau_a15_out6b_2;
	if quartile_variable10=3 then output tableau_a15_out6b_3;
	if quartile_variable10=4 then output tableau_a15_out6b_4;
run;

data tableau_a15_out6b;
	merge	tableau_a15_out6b_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_out6b_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_out6b_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_out6b_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4));
	by region;
run;

data tableau_a15_prep6;
	merge	tableau_a15_out6a tableau_a15_out6b;
	by region;
	variable="f-entuse";
run;
data tableau_a15_out7a;
	set tableau_a15_temp7a;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_out7b_1 tableau_a15_out7b_2 tableau_a15_out7b_3 tableau_a15_out7b_4;
	set tableau_a15_temp7b;
	if quartile_variable10=1 then output tableau_a15_out7b_1;
	if quartile_variable10=2 then output tableau_a15_out7b_2;
	if quartile_variable10=3 then output tableau_a15_out7b_3;
	if quartile_variable10=4 then output tableau_a15_out7b_4;
run;

data tableau_a15_out7b;
	merge	tableau_a15_out7b_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_out7b_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_out7b_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_out7b_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4));
	by region;
run;

data tableau_a15_prep7;
	merge	tableau_a15_out7a tableau_a15_out7b;
	by region;
	variable="g-homesch";
run;

data tableau_a15_out8a;
	set tableau_a15_temp8a;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_out8b_1 tableau_a15_out8b_2 tableau_a15_out8b_3 tableau_a15_out8b_4;
	set tableau_a15_temp8b;
	if quartile_variable10=1 then output tableau_a15_out8b_1;
	if quartile_variable10=2 then output tableau_a15_out8b_2;
	if quartile_variable10=3 then output tableau_a15_out8b_3;
	if quartile_variable10=4 then output tableau_a15_out8b_4;
run;

data tableau_a15_out8b;
	merge	tableau_a15_out8b_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_out8b_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_out8b_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_out8b_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4));
	by region;
run;

data tableau_a15_prep8;
	merge	tableau_a15_out8a tableau_a15_out8b;
	by region;
	variable="h-usesch";
run;

data tableau_a15_outmultiple_1 tableau_a15_outmultiple_2 tableau_a15_outmultiple_3 tableau_a15_outmultiple_4;
	set tableau_a15_tempc;
	if quartile_variable10=1 then output tableau_a15_outmultiple_1;
	if quartile_variable10=2 then output tableau_a15_outmultiple_2;
	if quartile_variable10=3 then output tableau_a15_outmultiple_3;
	if quartile_variable10=4 then output tableau_a15_outmultiple_4;
run;

data tableau_a15_outmultiple_5;
	set tableau_a15_tempe;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_prepmultiple;
	merge	tableau_a15_outmultiple_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_outmultiple_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_outmultiple_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_outmultiple_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4))
			tableau_a15_outmultiple_5;
	by region;
	variable="i-multiple";
run;

data tableau_a15_outsingle_1 tableau_a15_outsingle_2 tableau_a15_outsingle_3 tableau_a15_outsingle_4;
	set tableau_a15_tempd;
	if quartile_variable10=1 then output tableau_a15_outsingle_1;
	if quartile_variable10=2 then output tableau_a15_outsingle_2;
	if quartile_variable10=3 then output tableau_a15_outsingle_3;
	if quartile_variable10=4 then output tableau_a15_outsingle_4;
run;

data tableau_a15_outsingle_5;
	set tableau_a15_tempf;
	drop contrast;
	rename stat=diff_q1_q4 sestat=se_diff_q1_q4;
run;

data tableau_a15_prepsingle;
	merge	tableau_a15_outsingle_1 (drop=quartile_variable10 rename=(stat=mean_q1 sestat=se_mean_q1))
			tableau_a15_outsingle_2 (drop=quartile_variable10 rename=(stat=mean_q2 sestat=se_mean_q2))
			tableau_a15_outsingle_3 (drop=quartile_variable10 rename=(stat=mean_q3 sestat=se_mean_q3))
			tableau_a15_outsingle_4 (drop=quartile_variable10 rename=(stat=mean_q4 sestat=se_mean_q4))
			tableau_a15_outsingle_5;
	by region;
	variable="j-single";
run;

data tableau_a15;
	merge	tableau_a15_prep1 tableau_a15_prep2 tableau_a15_prep3 tableau_a15_prep4
			tableau_a15_prep5 tableau_a15_prep6 tableau_a15_prep7 tableau_a15_prep8
			tableau_a15_prepmultiple tableau_a15_prepsingle;
	by region variable;
	drop region;
run;

proc export data=tableau_a15 outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a15.xlsx" dbms=xlsx replace;
run;

/* 									---- TABLEAU A.16 ----
- Effet de l'ESCS sur laperformance en comprhension de l'crit numrique sous contrle des indices SCREADCOMP, JOYREAD,
UNDREM, METASUM, METASPAM, ENTUSE, HOMESCH et USESCH*/

%macro tableau_a16_prep_repeat1;
%do kk=1 %to 8;
%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable&kk variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a16_temp&kk);
run;
%end;
%mend;
%tableau_a16_prep_repeat1;
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable1 variable2 variable3 variable4 variable5 variable6 variable7 variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a16_temp);
run;

%macro tableau_a16_prep_repeat2;
%do kk=1 %to 8;
data tableau_a16_out&kk.a tableau_a16_out&kk.b tableau_a16_out&kk.c tableau_a16_out&kk.d;
	set tableau_a16_temp&kk;
	if (class="Intercept") then output tableau_a16_out&kk.a;
	if (class="variable&kk") then output tableau_a16_out&kk.b;
	if (class="variable10") then output tableau_a16_out&kk.c;
	if (class="_RSQ_") then output tableau_a16_out&kk.d;
run;
%end;
%mend;
%tableau_a16_prep_repeat2;
run;

data tableau_a16_prep1;
	variable="a-screadcomp";
	merge	tableau_a16_out1a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a16_out1b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a16_out1c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a16_out1d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a16_prep2;
	variable="b-joyread";
	merge	tableau_a16_out2a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a16_out2b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a16_out2c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a16_out2d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a16_prep3;
	variable="c-undrem";
	merge	tableau_a16_out3a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a16_out3b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a16_out3c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a16_out3d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a16_prep4;
	variable="d-metasum";
	merge	tableau_a16_out4a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a16_out4b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a16_out4c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a16_out4d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a16_prep5;
	variable="e-metaspam";
	merge	tableau_a16_out5a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a16_out5b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a16_out5c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a16_out5d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a16_prep6;
	variable="f-entuse";
	merge	tableau_a16_out6a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a16_out6b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a16_out6c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a16_out6d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a16_prep7;
	variable="g-homesch";
	merge	tableau_a16_out7a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a16_out7b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a16_out7c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a16_out7d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a16_prep8;
	variable="h-usesch";
	merge	tableau_a16_out8a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a16_out8b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a16_out8c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a16_out8d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a16;
	merge	tableau_a16_prep1 tableau_a16_prep2 tableau_a16_prep3 tableau_a16_prep4
			tableau_a16_prep5 tableau_a16_prep6 tableau_a16_prep7 tableau_a16_prep8;
	by region variable;
	drop region;
run;

proc export data=tableau_a16 outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a16.xlsx" dbms=xlsx replace;
run;

/* 									---- TABLEAU A.17 ----
- Effet des indices SCREADCOMP, JOYREAD, UNDREM, METASUM, METASPAM, ENTUSE, HOMESCH, USESCH, GENRE et ESCS sur la performance
en comprhension de l'crit numrique sous contrle de la performance en comprhension de l'crit traditionnel*/

%macro tableau_a17_prep_repeat1;
%do kk=1 %to 10;
%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable&kk single1,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=tableau_a17_temp&kk);
run;
%end;
%mend;
%tableau_a17_prep_repeat1;
run;

%macro tableau_a17_prep_repeat2;
%do kk=1 %to 10;
data tableau_a17_out&kk.a tableau_a17_out&kk.b tableau_a17_out&kk.c tableau_a17_out&kk.d;
	set tableau_a17_temp&kk;
	if (class="Intercept") then output tableau_a17_out&kk.a;
	if (class="variable&kk") then output tableau_a17_out&kk.b;
	if (class="single1") then output tableau_a17_out&kk.c;
	if (class="_RSQ_") then output tableau_a17_out&kk.d;
run;
%end;
%mend;
%tableau_a17_prep_repeat2;
run;

data tableau_a17_prep1;
	variable="a-screadcomp";
	merge	tableau_a17_out1a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out1b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out1c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out1d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep2;
	variable="b-joyread";
	merge	tableau_a17_out2a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out2b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out2c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out2d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep3;
	variable="c-undrem";
	merge	tableau_a17_out3a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out3b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out3c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out3d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep4;
	variable="d-metasum";
	merge	tableau_a17_out4a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out4b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out4c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out4d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep5;
	variable="e-metaspam";
	merge	tableau_a17_out5a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out5b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out5c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out5d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep6;
	variable="f-entuse";
	merge	tableau_a17_out6a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out6b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out6c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out6d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep7;
	variable="g-homesch";
	merge	tableau_a17_out7a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out7b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out7c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out7d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep8;
	variable="h-usesch";
	merge	tableau_a17_out8a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out8b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out8c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out8d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep9;
	variable="i-genre";
	merge	tableau_a17_out9a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out9b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out9c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out9d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17_prep10;
	variable="j-escs";
	merge	tableau_a17_out10a (drop=class rename=(stat=b0 sestat=se_b0))
			tableau_a17_out10b (drop=class rename=(stat=b1 sestat=se_b1))
			tableau_a17_out10c (drop=class rename=(stat=b2 sestat=se_b2))
			tableau_a17_out10d (drop=class rename=(stat=rsq sestat=se_rsq));
	by region;
run;

data tableau_a17;
	merge	tableau_a17_prep1 tableau_a17_prep2 tableau_a17_prep3 tableau_a17_prep4 tableau_a17_prep5
			tableau_a17_prep6 tableau_a17_prep7 tableau_a17_prep8 tableau_a17_prep9 tableau_a17_prep10;
	by region variable;
	drop region;
run;

proc export data=tableau_a17 outfile="C:\Users\MediaMonster\OneDrive\Documents\Master ULiege\Mmoire\SAS\Tableau_a17.xlsx" dbms=xlsx replace;
run;

/* Calcul de la corrlation entre la performance en lecture numrique et la performance en lecture traditionnelle*/

%BRR_CORR(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				BYVAR=region,
				VAR1=single1,
				VAR2=multiple1,		
			    LIMIT=no,
			    LIMIT_CRITERIA=,
			    ID_SCHOOL=cntschid,	
				OUTFILE=infosup_1);
run;

/* Calcul de la part de variance de la performance en lecture numrique explique par chaque variable sous
contrle de toutes les autres variables.*/

/*Aprs contrle de la performance en lecture traditionnelle.*/

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_1);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable2-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_2);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1 variable3-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_3);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1-variable2 variable4-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_4);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1-variable3 variable5-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_5);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1-variable4 variable6-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_6);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1-variable5 variable7-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_7);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1-variable6 variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_8);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1-variable7 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_9);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=single1 variable1-variable8,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_2_10);
run;

/* Avant contrle de la performance en lecture traditionnelle*/

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA=variable1-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_1);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable2-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_2);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable1 variable3-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_3);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable1-variable2 variable4-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_4);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable1-variable3 variable5-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_5);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable1-variable4 variable6-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_6);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable1-variable5 variable7-variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_7);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable1-variable6 variable8 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_8);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable1-variable7 variable10,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_9);
run;

%BRR_REG	(INFILE=complete_fwb,
				REPLI_ROOT=w_fsturwt,
				VARDEP=multiple1,
				EXPLICA= variable1-variable8,
				BYVAR=region,
				LIMIT=no,
				LIMIT_CRITERIA=,
				ID_SCHOOL=cntschid,
				OUTFILE=infosup_3_10);
run;

/* Calcul de l'accs aux outils numriques en 2009 et 2018 */

data data2009a;
	set	pisa09.student2009 (rename=(w_fstuwt=w_fstr0));
	if cnt="BEL";
run;

data data2009b;
	set pisa09.school2009;
	if cnt="BEL";
run;

proc sort data=data2009a;
	by cnt schoolid;
run;

proc sort data=data2009b;
	by cnt schoolid;
run;

data data2009;
	merge data2009a data2009b;
	by cnt schoolid;
	if testlang="FRE";
	if (missing (IC01Q01)=1) then IC01Q01=.;
	if (missing (IC01Q02)=1) then IC01Q02=.;
run;

%BRR_PROCMEAN(INFILE =data2009,
                    REPLI_ROOT =w_fstr,
                    BYVAR =schoolid,
                    VAR =pv1read,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=schoolid,
                    OUTFILE =data_prep1_2009);
run;

%BRR_PROCMEAN(INFILE =data2009,
                    REPLI_ROOT =w_fstr,
                    BYVAR =schoolid,
                    VAR =escs,
                    STAT =mean,
			   		LIMIT=no,
			   		LIMIT_CRITERIA=,
			   		ID_SCHOOL=schoolid,
                    OUTFILE =data_prep2_2009);
run;

data data_complete_2009;
	merge	data2009
			data_prep1_2009(drop=sestat rename=(stat=mean_read1))
			data_prep2_2009(drop=sestat rename=(stat=mean_escs));
	by schoolid;
run;

proc mi data=data_complete_2009 nimpute=1 seed=1
		round=		1 1 .
		minimum=	1 1 .
		maximum=	3 3 .
		minmaxiter=1000000 out=complete_2009 noprint;
		var IC01Q01 IC01Q02 mean_read1 pv1read escs mean_escs;
run;

data complete_2009_device;
	set complete_2009;
	if (IC01Q01=3) then ordbur=0;
	else if (IC01Q01=1) then ordbur=1;
	else if (IC01Q01=2) then ordbur=1;
	if (IC01Q02=3) then ordpor=0;
	else if (IC01Q02=1) then ordpor=1;
	else if (IC01Q02=2) then ordpor=1;
	supp_lecnum_home=ordbur+ordpor;
	if (supp_lecnum_home=2) then supp_lecnum_home_dicho=1;
	else if (supp_lecnum_home=3) then supp_lecnum_home_dicho=1;
	else if (supp_lecnum_home=4) then supp_lecnum_home_dicho=1;
	else if (supp_lecnum_home=1) then supp_lecnum_home_dicho=1;
	else if (supp_lecnum_home=0) then supp_lecnum_home_dicho=0;
	else supp_lecnum_home_dicho=.;
run;

data complete_fwb_device;
	set complete_fwb;
	if (IC001Q01TA=3) then ordbur=0;
	else if (IC001Q01TA=1) then ordbur=1;
	else if (IC001Q01TA=2) then ordbur=1;
	if (IC001Q02TA=3) then ordpor=0;
	else if (IC001Q02TA=1) then ordpor=1;
	else if (IC001Q02TA=2) then ordpor=1;
	if (IC001Q03TA=3) then tab=0;
	else if (IC001Q03TA=1) then tab=1;
	else if (IC001Q03TA=2) then tab=1;
	if (IC001Q07TA=3) then tel=0;
	else if (IC001Q07TA=1) then tel=1;
	else if (IC001Q07TA=2) then tel=1;
	supp_lecnum_home=ordbur+ordpor+tab+tel;
	if (supp_lecnum_home=2) then supp_lecnum_home_dicho="yes";
	else if (supp_lecnum_home=3) then supp_lecnum_home_dicho="yes";
	else if (supp_lecnum_home=4) then supp_lecnum_home_dicho="yes";
	else if (supp_lecnum_home=1) then supp_lecnum_home_dicho="yes";
	else if (supp_lecnum_home=0) then supp_lecnum_home_dicho="no";
	if (supp_lecnum_home_dicho="yes")then supp_lecnum_home_dicho=1;
	else if (supp_lecnum_home_dicho="no")then supp_lecnum_home_dicho=0;
run;

%BRR_FREQ	(INFILE=complete_fwb_device,
			REPLI_ROOT=w_fsturwt,
			BYVAR= region,
			VAR= supp_lecnum_home_dicho,
			LIMIT=no,
			LIMIT_CRITERIA=,
			ID_SCHOOL=cntschid,
			OUTFILE=device_temp1) ;
run;

%BRR_FREQ	(INFILE=complete_2009_device,
			REPLI_ROOT=w_fstr,
			BYVAR= cnt,
			VAR= supp_lecnum_home_dicho,
			LIMIT=no,
			LIMIT_CRITERIA=,
			ID_SCHOOL=schoolid,
			OUTFILE=device_temp2) ;
run;
te_2009_device;
	set complete_2009;
	if (IC01Q01=3) then ordbur=0;
	else if (IC01Q01=1) then ordbur=1;
	else if (IC01Q01=2) then ordbur=1;
	if (IC01Q02=3) then ordpor=0;
	else if (IC01Q02=1) then ordpor=1;
	else if (IC01Q02=2) then ordpor=1;
	supp_lecnum_home=ordbur+ordpor;
	if (supp_lecnum_home=2) then supp_lecnum_home_dicho=1;
	else if (supp_lecnum_home=3) then supp_lecnum_home_dicho=1;
	else if